/***************/
/* MEYER RESET */
/***************/
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
  display: block;
}

body {
  line-height: 1;
}

ol, ul {
  list-style: none;
}

blockquote, q {
  quotes: none;
}

blockquote:before, blockquote:after,
q:before, q:after {
  content: '';
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

*, *:before, *:after {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

/* Emojis*/
.highlight table td {
  padding: 5px;
}

.highlight table pre {
  margin: 0;
}

.highlight, .highlight .w {
  color: #24292f;
}

.highlight .k, .highlight .kd, .highlight .kn, .highlight .kp, .highlight .kr, .highlight .kt, .highlight .kv {
  color: #cf222e;
}

.highlight .gr {
  color: #f6f8fa;
}

.highlight .gd {
  color: #82071e;
  background-color: #ffebe9;
}

.highlight .nb {
  color: #953800;
}

.highlight .nc {
  color: #953800;
}

.highlight .no {
  color: #953800;
}

.highlight .nn {
  color: #953800;
}

.highlight .sr {
  color: #116329;
}

.highlight .na {
  color: #116329;
}

.highlight .nt {
  color: #116329;
}

.highlight .gi {
  color: #116329;
  background-color: #dafbe1;
}

.highlight .ges {
  font-weight: bold;
  font-style: italic;
}

.highlight .kc {
  color: #0550ae;
}

.highlight .l, .highlight .ld, .highlight .m, .highlight .mb, .highlight .mf, .highlight .mh, .highlight .mi, .highlight .il, .highlight .mo, .highlight .mx {
  color: #0550ae;
}

.highlight .sb {
  color: #0550ae;
}

.highlight .bp {
  color: #0550ae;
}

.highlight .ne {
  color: #0550ae;
}

.highlight .nl {
  color: #0550ae;
}

.highlight .py {
  color: #0550ae;
}

.highlight .nv, .highlight .vc, .highlight .vg, .highlight .vi, .highlight .vm {
  color: #0550ae;
}

.highlight .o, .highlight .ow {
  color: #0550ae;
}

.highlight .gh {
  color: #0550ae;
  font-weight: bold;
}

.highlight .gu {
  color: #0550ae;
  font-weight: bold;
}

.highlight .s, .highlight .sa, .highlight .sc, .highlight .dl, .highlight .sd, .highlight .s2, .highlight .se, .highlight .sh, .highlight .sx, .highlight .s1, .highlight .ss {
  color: #0a3069;
}

.highlight .nd {
  color: #8250df;
}

.highlight .nf, .highlight .fm {
  color: #8250df;
}

.highlight .err {
  color: #f6f8fa;
  background-color: #82071e;
}

.highlight .c, .highlight .ch, .highlight .cd, .highlight .cm, .highlight .cp, .highlight .cpf, .highlight .c1, .highlight .cs {
  color: #6e7781;
}

.highlight .gl {
  color: #6e7781;
}

.highlight .gt {
  color: #6e7781;
}

.highlight .ni {
  color: #24292f;
}

.highlight .si {
  color: #24292f;
}

.highlight .ge {
  color: #24292f;
  font-style: italic;
}

.highlight .gs {
  color: #24292f;
  font-weight: bold;
}

.highlighter-rouge {
  margin: 7px 0;
  color: #1f2328;
  border-radius: 4px;
  background-color: #f0f0f0;
}
.highlighter-rouge > div {
  padding: 0;
}
.highlighter-rouge pre {
  padding: 15px 20px;
  overflow: auto;
}

code.language-plaintext {
  background-color: #ececec;
  padding: 4px 7px;
}

code {
  font-family: ui-monospace, SFMono-Regular, SF Mono, Menlo, Consolas, Liberation Mono, monospace;
  font-size: 0.84rem;
  line-height: 1.45;
}

.svg-icon {
  width: 30px;
  height: 30px;
  display: inline-block;
  background-repeat: no-repeat;
  background-size: cover;
}
.svg-icon.email {
  background-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIxNiIgaGVpZ2h0PSIxNiIgZmlsbD0iY3VycmVudENvbG9yIiBjbGFzcz0iYmkgYmktZW52ZWxvcGUtYXQiIHZpZXdCb3g9IjAgMCAxNiAxNiI+CiAgPHBhdGggZD0iTTIgMmEyIDIgMCAwIDAtMiAydjguMDFBMiAyIDAgMCAwIDIgMTRoNS41YS41LjUgMCAwIDAgMC0xSDJhMSAxIDAgMCAxLS45NjYtLjc0MWw1LjY0LTMuNDcxTDggOS41ODNsNy00LjJWOC41YS41LjUgMCAwIDAgMSAwVjRhMiAyIDAgMCAwLTItMkgyWm0zLjcwOCA2LjIwOEwxIDExLjEwNVY1LjM4M2w0LjcwOCAyLjgyNVpNMSA0LjIxN1Y0YTEgMSAwIDAgMSAxLTFoMTJhMSAxIDAgMCAxIDEgMXYuMjE3bC03IDQuMi03LTQuMloiLz4KICA8cGF0aCBkPSJNMTQuMjQ3IDE0LjI2OWMxLjAxIDAgMS41ODctLjg1NyAxLjU4Ny0yLjAyNXYtLjIxQzE1LjgzNCAxMC40MyAxNC42NCA5IDEyLjUyIDloLS4wMzVDMTAuNDIgOSA5IDEwLjM2IDkgMTIuNDMydi4yMTRDOSAxNC44MiAxMC40MzggMTYgMTIuMzU4IDE2aC4wNDRjLjU5NCAwIDEuMDE4LS4wNzQgMS4yMzctLjE3NXYtLjczYy0uMjQ1LjExLS42NzMuMTgtMS4xOC4xOGgtLjA0NGMtMS4zMzQgMC0yLjU3MS0uNzg4LTIuNTcxLTIuNjU1di0uMTU3YzAtMS42NTcgMS4wNTgtMi43MjQgMi42NC0yLjcyNGguMDRjMS41MzUgMCAyLjQ4NCAxLjA1IDIuNDg0IDIuMzI2di4xMThjMCAuOTc1LS4zMjQgMS4zOS0uNjM5IDEuMzktLjIzMiAwLS40MS0uMTQ4LS40MS0uNDJ2LTIuMTloLS45MDZ2LjU2OWgtLjAzYy0uMDg0LS4yOTgtLjM2OC0uNjMtLjk1NC0uNjMtLjc3OCAwLTEuMjU5LjU1NS0xLjI1OSAxLjR2LjUyOGMwIC44OTIuNDkgMS40MzQgMS4yNiAxLjQzNC40NzEgMCAuODk2LS4yMjcgMS4wMTQtLjY0M2guMDQzYy4xMTguNDIuNjE3LjY0OCAxLjEyLjY0OFptLTIuNDUzLTEuNTg4di0uMjI3YzAtLjU0Ni4yMjctLjc5MS41NzMtLjc5MS4yOTcgMCAuNTcyLjE5Mi41NzIuNzA4di4zNjdjMCAuNTczLS4yNTMuNzQ0LS41NjQuNzQ0LS4zNTQgMC0uNTgxLS4yMTUtLjU4MS0uOFoiLz4KPC9zdmc+);
}
.svg-icon.github {
  background-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIxNiIgaGVpZ2h0PSIxNiIgZmlsbD0iY3VycmVudENvbG9yIiBjbGFzcz0iYmkgYmktZ2l0aHViIiB2aWV3Qm94PSIwIDAgMTYgMTYiPgogIDxwYXRoIGQ9Ik04IDBDMy41OCAwIDAgMy41OCAwIDhjMCAzLjU0IDIuMjkgNi41MyA1LjQ3IDcuNTkuNC4wNy41NS0uMTcuNTUtLjM4IDAtLjE5LS4wMS0uODItLjAxLTEuNDktMi4wMS4zNy0yLjUzLS40OS0yLjY5LS45NC0uMDktLjIzLS40OC0uOTQtLjgyLTEuMTMtLjI4LS4xNS0uNjgtLjUyLS4wMS0uNTMuNjMtLjAxIDEuMDguNTggMS4yMy44Mi43MiAxLjIxIDEuODcuODcgMi4zMy42Ni4wNy0uNTIuMjgtLjg3LjUxLTEuMDctMS43OC0uMi0zLjY0LS44OS0zLjY0LTMuOTUgMC0uODcuMzEtMS41OS44Mi0yLjE1LS4wOC0uMi0uMzYtMS4wMi4wOC0yLjEyIDAgMCAuNjctLjIxIDIuMi44Mi42NC0uMTggMS4zMi0uMjcgMi0uMjcuNjggMCAxLjM2LjA5IDIgLjI3IDEuNTMtMS4wNCAyLjItLjgyIDIuMi0uODIuNDQgMS4xLjE2IDEuOTIuMDggMi4xMi41MS41Ni44MiAxLjI3LjgyIDIuMTUgMCAzLjA3LTEuODcgMy43NS0zLjY1IDMuOTUuMjkuMjUuNTQuNzMuNTQgMS40OCAwIDEuMDctLjAxIDEuOTMtLjAxIDIuMiAwIC4yMS4xNS40Ni41NS4zOEE4LjAxMiA4LjAxMiAwIDAgMCAxNiA4YzAtNC40Mi0zLjU4LTgtOC04eiIvPgo8L3N2Zz4=);
}
.svg-icon.linkedin {
  background-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIxNiIgaGVpZ2h0PSIxNiIgZmlsbD0iY3VycmVudENvbG9yIiBjbGFzcz0iYmkgYmktbGlua2VkaW4iIHZpZXdCb3g9IjAgMCAxNiAxNiI+CiAgPHBhdGggZD0iTTAgMS4xNDZDMCAuNTEzLjUyNiAwIDEuMTc1IDBoMTMuNjVDMTUuNDc0IDAgMTYgLjUxMyAxNiAxLjE0NnYxMy43MDhjMCAuNjMzLS41MjYgMS4xNDYtMS4xNzUgMS4xNDZIMS4xNzVDLjUyNiAxNiAwIDE1LjQ4NyAwIDE0Ljg1NFYxLjE0NnptNC45NDMgMTIuMjQ4VjYuMTY5SDIuNTQydjcuMjI1aDIuNDAxem0tMS4yLTguMjEyYy44MzcgMCAxLjM1OC0uNTU0IDEuMzU4LTEuMjQ4LS4wMTUtLjcwOS0uNTItMS4yNDgtMS4zNDItMS4yNDgtLjgyMiAwLTEuMzU5LjU0LTEuMzU5IDEuMjQ4IDAgLjY5NC41MjEgMS4yNDggMS4zMjcgMS4yNDhoLjAxNnptNC45MDggOC4yMTJWOS4zNTljMC0uMjE2LjAxNi0uNDMyLjA4LS41ODYuMTczLS40MzEuNTY4LS44NzggMS4yMzItLjg3OC44NjkgMCAxLjIxNi42NjIgMS4yMTYgMS42MzR2My44NjVoMi40MDFWOS4yNWMwLTIuMjItMS4xODQtMy4yNTItMi43NjQtMy4yNTItMS4yNzQgMC0xLjg0NS43LTIuMTY1IDEuMTkzdi4wMjVoLS4wMTZhNS41NCA1LjU0IDAgMCAxIC4wMTYtLjAyNVY2LjE2OWgtMi40Yy4wMy42NzggMCA3LjIyNSAwIDcuMjI1aDIuNHoiLz4KPC9zdmc+);
}
.svg-icon.glasses {
  background-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIxNiIgaGVpZ2h0PSIxNiIgZmlsbD0iY3VycmVudENvbG9yIiBjbGFzcz0iYmkgYmktc3VuZ2xhc3NlcyIgdmlld0JveD0iMCAwIDE2IDE2Ij4KICA8cGF0aCBkPSJNMyA1YTIgMiAwIDAgMC0yIDJ2LjVILjVhLjUuNSAwIDAgMCAwIDFIMVY5YTIgMiAwIDAgMCAyIDJoMWEzIDMgMCAwIDAgMy0zIDEgMSAwIDEgMSAyIDAgMyAzIDAgMCAwIDMgM2gxYTIgMiAwIDAgMCAyLTJ2LS41aC41YS41LjUgMCAwIDAgMC0xSDE1VjdhMiAyIDAgMCAwLTItMmgtMmEyIDIgMCAwIDAtMS44ODggMS4zMzhBMiAyIDAgMCAwIDggNmEyIDIgMCAwIDAtMS4xMTIuMzM4QTIgMiAwIDAgMCA1IDV6bTAgMWguOTQxYy4yNjQgMCAuMzQ4LjM1Ni4xMTIuNDc0bC0uNDU3LjIyOGEyIDIgMCAwIDAtLjg5NC44OTRsLS4yMjguNDU3QzIuMzU2IDguMjg5IDIgOC4yMDUgMiA3Ljk0VjdhMSAxIDAgMCAxIDEtMSIvPgo8L3N2Zz4=);
}

/**************/
/* BASE RULES */
/**************/
html {
  font-size: 100%;
  height: 100%;
  scroll-padding-top: 15px;
}
@media screen and (min-width: 640px) {
  html {
    scroll-padding-top: 65px;
  }
}

body {
  background: #fff;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Noto Sans", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
  font-weight: 400;
  font-size: 16px;
  line-height: 1.8;
  color: #1f2328;
  word-wrap: break-word;
  word-break: break-word;
}
@media screen and (min-width: 640px) {
  body {
    line-height: 1.6;
  }
}

.container {
  padding: 0 10px;
  width: 100%;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: bold;
  line-height: 1.25;
  margin-top: 1.5rem;
  margin-bottom: 1rem;
}
h1 a,
h2 a,
h3 a,
h4 a,
h5 a,
h6 a {
  color: inherit;
}

h1 {
  font-size: 26px;
}
@media screen and (min-width: 640px) {
  h1 {
    font-size: 30px;
  }
}

h2 {
  font-size: 22px;
}
@media screen and (min-width: 640px) {
  h2 {
    font-size: 24px;
  }
}

h3 {
  font-size: 18px;
}
@media screen and (min-width: 640px) {
  h3 {
    font-size: 20px;
  }
}

h4 {
  font-size: 16px;
}

h5 {
  font-size: 14px;
}

h6 {
  font-size: 12px;
}

p {
  margin-bottom: 16px;
}

table {
  padding: 0;
}

table tr {
  border-top: 1px solid #cccccc;
  background-color: white;
  margin: 0;
  padding: 0;
}

table tr:nth-child(2n) {
  background-color: #f8f8f8;
}

table tr th {
  font-weight: bold;
  border: 1px solid #cccccc;
  text-align: left;
  margin: 0;
  padding: 6px 13px;
}

table tr td {
  border: 1px solid #cccccc;
  text-align: left;
  margin: 0;
  padding: 6px 13px;
}

table tr th :first-child,
table tr td :first-child {
  margin-top: 0;
}

table tr th :last-child,
table tr td :last-child {
  margin-bottom: 0;
}

blockquote {
  margin: 1.8em 0;
  padding: 1em 1em;
  border-radius: 4px;
  color: #666;
  font-style: italic;
  background-color: #ede1ff;
}
@media screen and (min-width: 640px) {
  blockquote {
    font-size: 1.2rem;
  }
}
blockquote p {
  margin: 0;
}

#bar {
  background: #000;
  height: 7px;
  background-size: cover;
  background-position: left 60%;
  position: fixed;
  top: 0;
  width: 100%;
  overflow: hidden;
  z-index: 1000;
}

#search-container {
  text-align: center;
}

#search-input {
  width: 80%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
  font-size: 18px;
  background-color: #fff3ff;
}

a {
  color: #000;
  text-decoration: underline;
  cursor: pointer;
}

sup {
  vertical-align: super;
  font-size: smaller;
}

ul,
ol {
  margin: 15px 0;
  padding-left: 30px;
}

ul {
  list-style-type: disc;
}

ol {
  list-style-type: decimal;
}

ol ul,
ul ol,
ul ul,
ol ol {
  margin: 0;
}

ul ul,
ol ul {
  list-style-type: circle;
}

em,
i {
  font-style: italic;
}

strong,
b {
  font-weight: bold;
}

img {
  max-width: 100%;
}

p > img {
  text-align: center;
  display: block;
  margin: 0 auto;
}

.gmnoprint img {
  max-width: none;
}

.date {
  font-style: italic;
  color: #666;
}

::-moz-selection {
  color: #000;
  background: #cfcfd8;
}

::selection {
  color: #000;
  background: #cfcfd8;
}

.highlight ::selection,
.highlight ::-moz-selection {
  background-color: #cfcfd8;
}

.clearfix:before,
.clearfix:after {
  content: " ";
  display: table;
}

.clearfix:after {
  clear: both;
}

.text-link {
  color: #000;
  text-decoration: none;
  border-bottom: 1px dotted #000;
}

/*********************/
/* LAYOUT / SECTIONS */
/*********************/
.wrapper-masthead {
  margin-bottom: 25px;
}
.wrapper-masthead a {
  text-decoration: none;
}
@media screen and (min-width: 640px) {
  .wrapper-masthead {
    position: sticky;
    top: 0;
    background-color: #fff;
    z-index: 10;
  }
}

.masthead {
  text-align: center;
}
@media screen and (min-width: 640px) {
  .masthead {
    text-align: left;
    padding-top: 15px;
    border-bottom: 1px solid #eee;
  }
}

.site-info {
  float: none;
  display: block;
  margin: 0 auto;
}
@media screen and (min-width: 640px) {
  .site-info {
    float: left;
    margin: 5px 0;
  }
}

.site-name {
  margin: 0;
  color: #222;
  cursor: pointer;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-weight: 300;
  font-size: 38px;
  margin-top: 30px;
  letter-spacing: 1px;
  text-align: center;
  text-align: left;
  text-decoration: underline #C99700 3px;
  text-decoration-skip-ink: none;
}
@media screen and (min-width: 640px) {
  .site-name {
    font-size: 24px;
    margin-top: 0;
  }
  .site-name:hover {
    text-decoration-style: wavy;
    text-decoration-thickness: 1.5px;
  }
}

nav {
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  width: 100%;
  margin: 10px 0;
  display: flex;
  float: right;
  font-size: 18px;
}
@media screen and (min-width: 640px) {
  nav {
    width: inherit;
  }
}
nav .nav-separator {
  margin: 0 10px;
}
@media screen and (min-width: 640px) {
  nav .nav-separator {
    display: none;
  }
}
nav .nav-link {
  text-decoration: underline;
  display: block;
  width: fit-content;
  font-weight: 300;
  letter-spacing: 1px;
}
@media screen and (min-width: 640px) {
  nav .nav-link {
    margin: 0 0 0 30px;
  }
}

.wrapper-container {
  background-color: white;
  min-height: 100%;
  position: relative;
  max-width: 740px;
  margin: auto;
}
@media screen and (min-width: 992px) {
  .wrapper-container {
    margin-left: 10%;
  }
}

.wrapper-main {
  padding-bottom: 100px;
}

.wrapper-footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 89px;
}

footer {
  display: flex;
  flex-direction: column-reverse;
  align-items: center;
  text-align: center;
  padding: 20px 0;
  font-size: .9em;
  border-top: 1px solid #eee;
}
@media screen and (min-width: 640px) {
  footer {
    flex-direction: row;
    justify-content: space-between;
    text-align: left;
  }
}
footer .wrapper-social-icons a {
  margin: 0 25px;
}
@media screen and (min-width: 640px) {
  footer .wrapper-social-icons a {
    margin: 0 0 0 20px;
  }
}

.posts > .post {
  padding-bottom: 1.5em;
}
.posts > .post p {
  margin: 0;
}
.posts > .post .link-post {
  text-decoration: none;
}
.posts > .post .post-date {
  color: #939aa1;
}

.post h1,
#page h1 {
  font-weight: bold;
  font-kerning: auto;
  font-feature-settings: "kern", "liga", "dlig", "hlig", "cswh";
  line-height: 1.2;
  margin: 0;
}

.date-title {
  color: #939aa1;
  margin-top: 0;
}

.about-img {
  width: 80%;
  border-radius: 3px;
}
@media screen and (min-width: 640px) {
  .about-img {
    width: auto;
    height: 400px;
    border-radius: 3px;
  }
}

.about-links {
  list-style: none;
  padding-left: 0;
}
.about-links li {
  margin-bottom: 15px;
}
.about-links a {
  text-decoration: none;
}
.about-links span {
  text-decoration: underline;
}
.about-links .svg-icon {
  position: relative;
  top: 5px;
  margin-right: 10px;
  width: 25px;
  height: 25px;
}

.job-container {
  text-align: center;
  margin-top: 1.2em;
}
.job-container blockquote#job {
  text-align: center;
  margin-top: 1em;
  font-size: 1em;
}
.job-container blockquote#job .text-black {
  color: black;
}

#festive-banner {
  display: none;
  padding-top: 15px;
}
#festive-banner svg {
  max-width: 100%;
}
#festive-banner p {
  text-align: right;
  margin: 0;
  padding-right: 10px;
}
@media screen and (min-width: 992px) {
  #festive-banner {
    position: sticky;
    right: 0;
    left: 0;
    top: 100px;
    height: 0;
  }
}

#tags hr {
  width: 40px;
  margin: 60px auto;
}

.tags-grid {
  display: grid;
  grid-row-gap: 1em;
  grid-column-gap: .4em;
  grid-template-columns: repeat(2, 1fr);
  list-style: none;
  padding: 0;
  margin-bottom: 0;
}
@media screen and (min-width: 640px) {
  .tags-grid {
    grid-auto-flow: column;
    grid-template-rows: repeat(5, 1fr);
  }
}

.tag-details p {
  margin: 5px 0;
}
.tag-details .date {
  font-size: 0.8em;
}

.tag-text {
  font-style: italic;
}

.post-tags {
  font-size: 0.85em;
  margin-top: 15px;
}

.flash {
  animation: flicker .2s 4;
}

@keyframes flicker {
  50% {
    opacity: 0.5;
  }
}
.pagination a,
.pagination span {
  padding: 7px 18px;
  border: 1px solid #eee;
  margin-left: -2px;
  margin-right: -2px;
  background-color: #fff;
  display: inline-block;
}

.pagination a:hover {
  background-color: #f1f1f1;
  color: #333;
}

.pagination {
  text-align: center;
}

.footnotes {
  font-size: .8em;
}
